Bug 611213 - Automatic printer discovery doesn't work over IPv6
Automatic printer discovery doesn't work over IPv6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 711793
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2010-07-04 05:51 EDT by Tore Anderson
Modified: 2012-08-16 17:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2010-07-04 05:51:15 EDT
Description of problem:

My print server is set up to announce and share printers to the local network - «Share printers connected to this system» is ticked in the Web UI, and cupsd.conf contains the following:

Browsing On
BrowseOrder allow,deny
BrowseAllow all
BrowseRemoteProtocols CUPS
BrowseAddress @LOCAL
BrowseLocalProtocols CUPS dnssd

However, clients only discover the remote printers if they have IPv4 addresses (the server has both IPv6 and IPv4).  If a client only has IPv6, then the remote printer queue doesn't show up automatically.

Version-Release number of selected component (if applicable):

F13, cups-1.4.4-5.fc13.x86_64 (on both server and client)

How reproducible:

100%

Steps to Reproduce:
1. Connect a IPv6-only client to a network with a CUPS print server on it
2. Attempt to print something
  
Actual results:

No (remote) printers have been made available to the local CUPS server on the client, and you cannot print anywhere.

Expected results:

The remote print queues should have been discovered the same way they are if the client also had an IPv4 address.

Additional info:

I can work around it for now by manually adding the print server under "advanced settings" in system-config-printer, then I can print over IPv6 just fine.  It's just the automatic remote queue discovery that fails.

When I tcpdump ipp traffic on the client I see that the periodic announcements made by the server are only done over IPv4:

$ sudo tcpdump -i eth0 -c 5 port ipp
tcpdump: WARNING: eth0: no IPv4 address assigned
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on eth0, link-type EN10MB (Ethernet), capture size 65535 bytes
11:48:54.138602 IP 10.0.0.2.ipp > 10.0.0.255.ipp: UDP, length 174
11:49:25.137751 IP 10.0.0.2.ipp > 10.0.0.255.ipp: UDP, length 174
11:49:56.169618 IP 10.0.0.2.ipp > 10.0.0.255.ipp: UDP, length 174
11:50:27.169026 IP 10.0.0.2.ipp > 10.0.0.255.ipp: UDP, length 174
11:50:58.172276 IP 10.0.0.2.ipp > 10.0.0.255.ipp: UDP, length 174
5 packets captured
5 packets received by filter
0 packets dropped by kernel
Comment 1 Bug Zapper 2011-06-01 10:49:04 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Juha Tuomala 2011-06-08 07:43:08 EDT
# netstat -tunap|grep cups
tcp   0   0 127.0.0.1:631     0.0.0.0:*       LISTEN   18917/cupsd         
tcp   0   0 ::1:631                 :::*                LISTEN   18917/cupsd         
udp  0   0 0.0.0.0:631          0.0.0.0:*                      18917/cupsd    

IMO it needs to bind the v6 udp for broadcasts. It would be Listen setting in /etc/cupsd.conf file (and for .default also which gets used with cupsctl).
Comment 3 Tim Waugh 2011-06-08 08:03:28 EDT
Please attach the /etc/cups/cupsd.conf you're using.
Comment 4 Fedora End Of Life 2012-08-16 17:14:52 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.